//////////////////////////////////////////////////////////////////////////////
//          INTEL CORPORATION PROPRIETARY INFORMATION   
//  This software is supplied under the terms of a license agreement or 
//  nondisclosure agreement with Intel Corporation and may not be copied
//  or disclosed except in accordance with the terms of that agreement.
//      Copyright (c) 2000 Intel Corporation. All Rights Reserved.
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
// CountControlBlock.h 
//
// Description:
//      This file contains the Counter control block data
//      structures

#ifndef _COUNT_CONTROLBLOCK_H_
#define _COUNT_CONTROLBLOCK_H_

#ifndef MICROCODE
#include <stdint.h>
#endif

//////////////////////////////////////////////////////////////////////////////
// Constants
#define COUNT_MAX_NUM_INTERFACES	4
#define COUNT_UCODESTATS_SIZE_SHIFT	0
#define IPHDR                      5

#define BROADCAST       0xffffffff
#define MULTICAST       0x01000000
#define ETH_TYPE_IP	0x800
#define ETH_TYPE_ARP	0x806
#define PROTO_ICMP	0x01
#define PROTO_TCP	0x06
#define PROTO_UDP       0x11
#define PORT_SSH        22
#define PORT_FTP        21
#define PORT_TELNET     23
#define PORT_HTTP       80
#define PORT_DNS        53
#define PORT_RIP        520

#define MATCHED 	51
#define UNMATCHED 	52
#define BCAST   	54
#define MCAST   	55
#define UCAST   	56
#define ICMP    	57
#define TCP     	58
#define UDP     	59
#define OTHER   	60
#define TCPSSH  	61
#define IPOPTS  	62
#define TCPFTP 		63
#define TCPHTTP		64
#define TCPTEL  	65
#define UDPDNS  	66
#define UDPRIP		67
#define MYVC		68

#define TYPE_OFF	69
#define SRC_OFF		70

#ifndef MICROCODE

typedef struct _stats{
    uint32_t packet[ 18 ];
	uint32_t count;		
}stats_t;

#endif

#endif
