//////////////////////////////////////////////////////////////////////////////
//           INTEL CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or
//  nondisclosure agreement with Intel Corporation and may not be copied
//  or disclosed except in accordance with the terms of that agreement.
//      Copyright (c) 1999-2000 Intel Corporation.  All Rights Reserved.
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
// CountImportVars.h 
//
// Description:
//    This file contains a list of the imported linker variables 
//    necessary for the Counting transform building block.  There
//    are two lists in the file that need to be kept in sync.
//    The first list is for the microcode and contains the actual
//    .import_var statements.  The second list is the strings
//    used by the core/linker to patch these symbols.  Don't change
//    one without the other.

#ifndef _COUNTIMPORTVARS_H_
#define _COUNTIMPORTVARS_H_

// First, the core symbols
#ifndef USING_WORKBENCH
.import_var _COUNT_STATS_BLOCK	
.import_var COUNT_TAG

#else
#ifndef SIMULATION
#define _COUNT_STATS_BLOCK 0xa0
#define COUNT_TAG 2
//#define COUNT_TAG_STR				 "COUNT_TAG"
#else
#define _COUNT_STATS_BLOCK 0xa1

#endif
#endif

#endif //_COUNTIMPORTVARS_H_
